package com.jeeplus.assess.program.configuration.projectList.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.assess.program.configuration.projectList.domain.ProgramReportCancellation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProgramReportCancellationMapper extends BaseMapper<ProgramReportCancellation> {
    ProgramReportCancellation getByReportNo(@Param("reportNo") String reportNo);

    void deleteByCanId(@Param("id") String id);

    void updateInfoById(ProgramReportCancellation cancellation);
    //根据报告类型和当前年份查询报告号作废表中的报告号
    ProgramReportCancellation getInfos(@Param("type") String type,@Param("currentYear") String currentYear);
}
